<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'parejas_create'" class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Pareja</button>
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
					<tr>
						<th>Código</th>
						<th>Modelo</th>
						<th>Pareja</th>
						<th style=" width: 7%;" *ngxPermissionsOnly="'parejas_edit' || 'parejas_delete'" >Acción</th>
					</tr> 
				</thead>
				<tfoot> 
					<tr>
						<th>Código</th>
						<th>Modelo</th>
						<th>Pareja</th>
						<th style=" width: 7%;" *ngxPermissionsOnly="'parejas_edit' || 'parejas_delete'" >Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let item of items">
						<td>{{ item.id }}</td>
						<td>{{ item.modeloinfo.name +' '+item.modeloinfo.lastname }}</td>
						<td>{{ item.pareja.name +' '+item.pareja.lastname }}</td>
						<td style="text-align: center;" *ngxPermissionsOnly="'parejas_edit' || 'parejas_delete'" >
							<a *ngxPermissionsOnly="'parejas_edit'"  class="badge badge-pill badge-primary" style=" font-size: 13px;" href="javascript:void(0)" (click)="onEditar(item)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a>
							<a *ngxPermissionsOnly="'parejas_delete'" class="badge badge-pill badge-danger" href="javascript:void(0)" style=" margin-left: 15px;" (click)="onEliminar(item.id)"><i class="fas fa-trash-alt"></i></a> 
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="_Form" (ngSubmit)="onSaveForm()">
	      <div class="modal-body">
	      	<div class="container-fluid">
	        
	        	<div class="row">
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Modelo: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.model_id.invalid && (submitted || f.model_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="modelos" bindLabel="nomcompleto" formControlName="model_id" autofocus bindValue="id"> </ng-select>
		            </div>
	        		<div class="col-md-6">
	        			<label for="recipient-name" class="col-form-label">Pareja: </label> 
	        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.couple_id.invalid && (submitted || f.couple_id.touched))"> El campo es requerido</label>
	        			<ng-select placeholder='-- Seleccionar --' [items]="modelos" bindLabel="nomcompleto" formControlName="couple_id" autofocus bindValue="id"> </ng-select>
		            </div> 
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	        <button type="submit" class="btn btn-success" id="btnGuardar">{{ textbtn }}</button>
	      </div>
      </form>
    </div>
  </div>
</div>

